from PyQt4.QtCore import *
from PyQt4.QtGui import *
from PyQt4.QtXml import *

from qgis.core import *
from qgis.gui import *

from plugindialogbase import Ui_Dialog


class PluginDialog(QDialog, Ui_Dialog):
    def __init__(self, iface):
        QDialog.__init__(self)
        self.setupUi(self)

        self.iface = iface
        self.canvas = self.iface.mapCanvas()
        self.composer = None

        self.pushButton.clicked.connect(self.showComposer)

    def showComposer(self):
        renderer = self.canvas.mapRenderer()
        composition = QgsComposition(renderer)
        composition.setPlotStyle(QgsComposition.Print)
        composerMap = QgsComposerMap(composition, 5,5,200,200)
        composerMap.setNewExtent(self.canvas.currentLayer().extent())
        composition.addItem(composerMap)

        self.composer = self.iface.createNewComposer("test")
        self.composer.setComposition(composition)
